2019-08-24 20:26 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002379Spring engineGeneralpublic2019-07-21 16:40
ReporterjK 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version104.0 +git 
Summary0002379: [feature request] Lua: add VFS.GetFileChecksum()
DescriptionThere are already GetCrc() functions in the ArchiveXYZ classes but they aren't exposed to the CFileHandler.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0019778

sprung (reporter)

`VFS.CalculateHash` exists since Spring 101, can close?

~0019780

jK (developer)

VFS.CalculateHash operates on strings

VFS.GetFileChecksum() would operate on file's content and wouldn't need any processing power cause the CRC is either already computed or even saved in the sd7 etc.

~0020045

Kloot (developer)

VFS.GetArchiveChecksum also already exists (since 98.0)
+Notes

-Issue History
Date Modified Username Field Change
2011-03-17 17:32 jK New Issue
2019-02-26 20:30 sprung Note Added: 0019778
2019-02-26 20:48 jK Note Added: 0019780
2019-07-21 16:40 Kloot Status new => resolved
2019-07-21 16:40 Kloot Resolution open => fixed
2019-07-21 16:40 Kloot Fixed in Version => 104.0 +git
2019-07-21 16:40 Kloot Note Added: 0020045
+Issue History